StreamPagingToolBar (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.util.stream

## Class StreamPagingToolBar

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.extjs.gxt.ui.client.widget.Component
      - - com.extjs.gxt.ui.client.widget.BoxComponent
        - - com.extjs.gxt.ui.client.widget.Container<com.extjs.gxt.ui.client.widget.Component>
          - - com.extjs.gxt.ui.client.widget.toolbar.ToolBar
            - - org.gcube.portlets.user.speciesdiscovery.client.util.stream.StreamPagingToolBar

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.event.Observable, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget

      public class StreamPagingToolBar
      extends com.extjs.gxt.ui.client.widget.toolbar.ToolBar

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.extjs.gxt.ui.client.event.Listener<com.extjs.gxt.ui.client.event.ComponentEvent>` | `componentListener`
    `protected boolean` | `counting`
    `protected int` | `currentEndItem`
    `protected int` | `currentPage`
    `protected int` | `currentStartItem`
    `protected static String` | `DISPLAY_TEXT`
    `protected static String` | `DISPLAY_TEXT_COUNTING`
    `protected com.extjs.gxt.ui.client.widget.toolbar.LabelToolItem` | `displayText`
    `protected StreamPagingLoader` | `loader`
    `protected com.extjs.gxt.ui.client.widget.button.Button` | `next`
    `protected com.google.gwt.user.client.ui.AbstractImagePrototype` | `nextImage`
    `protected com.google.gwt.user.client.ui.AbstractImagePrototype` | `nextImageDisabled`
    `protected String` | `nextText`
    `protected int` | `numItems`
    `protected int` | `numPages`
    `protected static String` | `PAGE_TEXT`
    `protected int` | `pageSize`
    `protected com.extjs.gxt.ui.client.widget.toolbar.LabelToolItem` | `pageText`
    `protected com.extjs.gxt.ui.client.widget.button.Button` | `prev`
    `protected com.google.gwt.user.client.ui.AbstractImagePrototype` | `prevImage`
    `protected com.google.gwt.user.client.ui.AbstractImagePrototype` | `prevImageDisabled`
    `protected String` | `prevText`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.Container

      `attachChildren, enableLayout, layoutExecuted, layoutNeeded, layoutOnAttach, layoutOnChange`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.BoxComponent

      `adjustSize, cacheSizes, ensureVisibilityOnSizing, height, lastSize, layer, shim, width`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.Component

      `afterRender, attachables, baseStyle, disabled, disabledStyle, disableTextSelection, dummy, focusable, hidden, mask, maskMessage, maskMessageStyleName, monitorWindowResize, rendered, resizeHandler, setElementRender, stateId, swallowEvents, toolTip, windowResizeDelay, windowResizeTask`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamPagingToolBar()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `beforeDataChange()`
    `void` | `bind(StreamPagingLoader loader)`
    `protected void` | `init()`
    `protected void` | `next()`
    `protected void` | `previous()`
    `void` | `reset()`
    `void` | `setCurrent(int currentStartItem, int currentEndItem)`
    `void` | `setStreamLoadingComplete(boolean counting)`
    `void` | `setStreamSize(int count)`
    `protected void` | `update()`
    `protected void` | `updateButtons()`
    `protected void` | `updateImages()`
    `protected void` | `updateSizes()`
    `protected void` | `updateText()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.toolbar.ToolBar

      `add, createComponentEvent, createContainerEvent, getAlignment, getLayout, getMinButtonWidth, getSpacing, insert, isEnableOverflow, layout, onComponentEvent, onFocus, onRender, remove, setAlignment, setEnableOverflow, setMinButtonWidth, setSpacing`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.Container

      `adjustIndex, adopt, disable, doAttachChildren, doDetachChildren, doLayout, doLayout, enable, findItem, getItem, getItemByItemId, getItemCount, getItems, getLayoutTarget, getWidget, indexOf, isLayoutNeeded, iterator, layout, notifyHide, notifyShow, onAfterLayout, onAttach, onBeforeLayoutExcecuted, onInsert, onLayoutExcecuted, onRemove, orphan, remove, removeAll, removeAll, scrollIntoView, setLayout, setLayoutNeeded, setLayoutOnChange, wrapWidget`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.BoxComponent

      `adjustPosition, adjustSize, afterRender, getBounds, getHeight, getHeight, getPosition, getPositionEl, getResizeEl, getShadow, getShadowOffset, getShadowPosition, getSize, getWidth, getWidth, hideShadow, hideShim, hideUnders, isAutoHeight, isAutoWidth, isDeferHeight, isShim, onHide, onPosition, onResize, onShow, onUnload, setAutoHeight, setAutoWidth, setBounds, setBounds, setDeferHeight, setHeight, setHeight, setPagePosition, setPagePosition, setPixelSize, setPosition, setShadow, setShadowOffset, setShadowPosition, setShim, setSize, setSize, setWidth, setWidth, sync, syncSize`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.Component

      `addAttachable, addListener, addPlugin, addStyleName, addStyleOnOver, addWidgetListener, applyState, assertAfterRender, assertPreRender, beforeRender, blur, clearState, createObservable, createStyles, disableContextMenu, disableEvents, disableTextSelection, el, enableEvents, fireEvent, fireEvent, fireEvent, fly, focus, frame, getAriaSupport, getBaseStyle, getBorders, getContextMenu, getData, getElement, getFocusEl, getFocusSupport, getHideMode, getId, getItemId, getListeners, getModel, getObservable, getPlugins, getState, getStateId, getTabIndex, getTitle, getToolTip, getWindowResizeDelay, hasListeners, hasListeners, hide, hideToolTip, initState, isDisabledEvents, isDisableTextSelection, isEnabled, isMasked, isMonitorWindowResize, isRendered, isStateful, isVisible, isVisible, mask, mask, mask, onBrowserEvent, onDetach, onDetachHelper, onDisable, onEnable, onEnsureDebugId, onHideContextMenu, onLoad, onRightClick, onShowContextMenu, onWindowResize, previewEvent, recalculate, removeAllListeners, removeAttachagle, removeFromParent, removeListener, removeStyleName, removeStyleOnOver, removeSwallow, removeToolTip, removeWidgetListener, render, render, repaint, saveState, setAriaRole, setAriaState, setAriaSupport, setBorders, setContextMenu, setData, setEl, setElement, setElement, setEnabled, setFiresEvents, setHideMode, setId, setIntStyleAttribute, setItemId, setModel, setMonitorWindowResize, setParent, setStateful, setStateId, setStyleAttribute, setStyleName, setTabIndex, setTitle, setToolTip, setToolTip, setVisible, setWindowResizeDelay, setZIndex, show, sinkEvents, swallowEvent, swallowEvent, toString, unframe, unmask`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, setLayoutData`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, removeStyleDependentName, resolvePotentialElement, setElement, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DISPLAY_TEXT_COUNTING

          protected static final String DISPLAY_TEXT_COUNTING

      See Also:
        Constant Field Values

    - #### DISPLAY_TEXT

          protected static final String DISPLAY_TEXT

      See Also:
        Constant Field Values

    - #### PAGE_TEXT

          protected static final String PAGE_TEXT

      See Also:
        Constant Field Values

    - #### prev

          protected com.extjs.gxt.ui.client.widget.button.Button prev

    - #### next

          protected com.extjs.gxt.ui.client.widget.button.Button next

    - #### pageText

          protected com.extjs.gxt.ui.client.widget.toolbar.LabelToolItem pageText

    - #### displayText

          protected com.extjs.gxt.ui.client.widget.toolbar.LabelToolItem displayText

    - #### prevImage

          protected com.google.gwt.user.client.ui.AbstractImagePrototype prevImage

    - #### prevImageDisabled

          protected com.google.gwt.user.client.ui.AbstractImagePrototype prevImageDisabled

    - #### nextImage

          protected com.google.gwt.user.client.ui.AbstractImagePrototype nextImage

    - #### nextImageDisabled

          protected com.google.gwt.user.client.ui.AbstractImagePrototype nextImageDisabled

    - #### nextText

          protected String nextText

    - #### prevText

          protected String prevText

    - #### currentPage

          protected int currentPage

    - #### numPages

          protected int numPages

    - #### counting

          protected boolean counting

    - #### currentStartItem

          protected int currentStartItem

    - #### currentEndItem

          protected int currentEndItem

    - #### numItems

          protected int numItems

    - #### pageSize

          protected int pageSize

    - #### loader

          protected StreamPagingLoader loader

    - #### componentListener

          protected com.extjs.gxt.ui.client.event.Listener<com.extjs.gxt.ui.client.event.ComponentEvent> componentListener

  - ### Constructor Detail

    - #### StreamPagingToolBar

          public StreamPagingToolBar()

  - ### Method Detail

    - #### bind

          public void bind(StreamPagingLoader loader)

    - #### reset

          public void reset()

    - #### beforeDataChange

          protected void beforeDataChange()

    - #### setStreamSize

          public void setStreamSize(int count)

    - #### setStreamLoadingComplete

          public void setStreamLoadingComplete(boolean counting)

      Parameters:
        `counting` - the counting to set

    - #### setCurrent

          public void setCurrent(int currentStartItem,
                        int currentEndItem)

    - #### init

          protected void init()

    - #### update

          protected void update()

    - #### updateSizes

          protected void updateSizes()

    - #### updateButtons

          protected void updateButtons()

    - #### updateImages

          protected void updateImages()

    - #### updateText

          protected void updateText()

    - #### previous

          protected void previous()

    - #### next

          protected void next()

Copyright © 2013. All Rights Reserved.